selected = false
muted = false
midiChan = 0

gfx.init("Xsample",1,1)

gfx.x = gfx.mouse_x
gfx.y = gfx.mouse_y

input = gfx.showmenu("1 Vibrato MW|2 Senza Vibrato MW|3 Staccato Velocity 1 MW Shape|4 Staccato Velocity 2 MW Shape|5 Flutter Tongue MW|6 Multiphonics Velocity|7 Air Noises Velocity CC4|8 Key Noises Velocity|9 Crow On Reed Velocity MW Shape|10 Triple Tongue 16T|11 Vibrato Velocity|12 Senza Vibrato Velocity|13 Flutter Tongue Velocity|14 Vibrato - Senza Vibrato Velocity X MW|15 Vibrato + Senza Vibrato MW 2 dimensional X CC2|16 Staccato Velocity|17 With Accent Velocity|18 Multiphonics MW|19 Air Noises MW|20 Crow On Reed Velocity|21 Crescendo Espressivo|22 Crescendo|23 Portato Velocity|24 Secco Velocity|25 Vibrato to Senza Vibrato Velocity|26 Senza Vibrato to Vibrato Velocity|27 Vibrato Velocity + MW inverted|28 Senza Vibrato Velocity + MW inverted|29 Pseudo English Horn Velocity + MW inverted|30 Pseudo English Horn Staccato Velocity|31 Pseudo Mini Oboe Velocity + MW inverted|32 Pseudo Mini Oboe Staccato Velocity||")
if input >= 0 then 

function main() 
  take = reaper.MIDIEditor_GetTake(reaper.MIDIEditor_GetActive())
  if take == nil then return end
  item = reaper.GetMediaItemTake_Item(take)
  pos = reaper.GetCursorPosition() 
  ppq = reaper.MIDI_GetPPQPosFromProjTime(take, pos)
  
  MSB = 0
  LSB = 0
  PC  = 0
  
  if input ~= 0 then
  
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xB0,-- midi CC
    midiChan,
    0, -- controller #0: Bank Select MSB
    input-1 -- MSB value
  )
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xB0,-- midi CC
    midiChan,
    32, -- controller #32: Bank Select LSB
    0 -- LSB value
  )
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xC0,-- Program Change
    midiChan,
    PC, -- program change value
    0
  )
  end
  reaper.UpdateItemInProject(item)   
end
end

script_title = "Xsample Acoustic Instruments"
reaper.Undo_BeginBlock()
main()
reaper.Undo_EndBlock(script_title, 0)
